local addonName, addonTable = ...;

addonTable.Variables = {};
addonTable.Variables["Default"] = addonTable.Common.Variables;
addonTable.Variables["InfoPanel"] = {};
addonTable.Variables["ScrollFrame"] = {};
addonTable.Variables["nUI"] = {};

-- Variables for the InfoPanel BackGround
addonTable.Variables["InfoPanel"] = {
	BackGround = {
		Enabled = false,
		BackDrop = {       
			bgFile = "Interface/Tooltips/UI-Tooltip-Background", 
			edgeFile = "Interface/Tooltips/UI-Tooltip-Border", 
			tile = true, 
			tileSize = 16, 
			edgeSize = 16, 
			insets = { left = 4, right = 4, top = 4, bottom = 4 }
		},                       
		BackColor = { red=0,green=0,blue=0,alpha=1 },
		BorderColor = { red=255,green=255,blue=0,alpha=1 }
	}
};

-- Variables for the Scrollable Watch Frame
addonTable.Variables["ScrollFrame"] = {	
	CollapsedAnchor = {
		--Enabled = true,
		--Anchor = {	pt = "CENTER", a = UIParent, apt = "CENTER", x = 0, y = 0 	},
		Offset = { Top = 0, Left = 0 },
	},
	ExpandedAnchor = {
		--Enabled = true,
		--Anchor = {	pt = "CENTER", a = UIParent, apt = "CENTER", x = 0, y = 0 	},
		Offset = { Top = 0, Left = 0 },
	},
	MultipleAnchors = false, Collapsed = false, ScrollSize = 1000
	
};

-- Variables for nUI 
addonTable.Variables["nUI"] = { 
	Loaded = false, InfoPanel = false 
};
